/* Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file  ap_config_layout.h
 * @brief Apache Config Layout
 */

#ifndef AP_CONFIG_LAYOUT_H
#define AP_CONFIG_LAYOUT_H

/* Configured Apache directory layout */
#define DEFAULT_PREFIX "/var/asl/etc//httpd"
#define DEFAULT_EXP_EXEC_PREFIX "/var/asl/usr/"
#define DEFAULT_REL_EXEC_PREFIX "/var/asl/usr/"
#define DEFAULT_EXP_BINDIR "/var/asl/usr/bin/"
#define DEFAULT_REL_BINDIR "/var/asl/usr/bin/"
#define DEFAULT_EXP_SBINDIR "/var/asl/usr/sbin/"
#define DEFAULT_REL_SBINDIR "/var/asl/usr/sbin/"
#define DEFAULT_EXP_MANDIR "/var/asl/usr/share/man/"
#define DEFAULT_REL_MANDIR "/var/asl/usr/share/man/"
#define DEFAULT_EXP_SYSCONFDIR "/var/asl/etc//httpd/conf"
#define DEFAULT_REL_SYSCONFDIR "conf"
#define DEFAULT_EXP_DATADIR "/var/asl/www"
#define DEFAULT_REL_DATADIR "/var/asl/www"
#define DEFAULT_EXP_ERRORDIR "/var/asl/www/error"
#define DEFAULT_REL_ERRORDIR "/var/asl/www/error"
#define DEFAULT_EXP_ICONSDIR "/var/asl/www/icons"
#define DEFAULT_REL_ICONSDIR "/var/asl/www/icons"
#define DEFAULT_EXP_HTDOCSDIR "/var/asl/www/htdocs"
#define DEFAULT_REL_HTDOCSDIR "/var/asl/www/htdocs"
#define DEFAULT_EXP_MANUALDIR "/var/asl/www/manual"
#define DEFAULT_REL_MANUALDIR "/var/asl/www/manual"
#define DEFAULT_EXP_CGIDIR "/var/asl/www/cgi-bin"
#define DEFAULT_REL_CGIDIR "/var/asl/www/cgi-bin"
#define DEFAULT_EXP_INCLUDEDIR "/var/asl/usr/include//httpd"
#define DEFAULT_REL_INCLUDEDIR "/var/asl/usr/include//httpd"
#define DEFAULT_EXP_LOCALSTATEDIR "/var/asl/etc//httpd"
#define DEFAULT_REL_LOCALSTATEDIR ""
#define DEFAULT_EXP_RUNTIMEDIR "/var/asl/etc//httpd/logs"
#define DEFAULT_REL_RUNTIMEDIR "logs"
#define DEFAULT_EXP_LOGFILEDIR "/var/asl/etc//httpd/logs"
#define DEFAULT_REL_LOGFILEDIR "logs"
#define DEFAULT_EXP_PROXYCACHEDIR "/var/asl/etc//httpd/proxy"
#define DEFAULT_REL_PROXYCACHEDIR "proxy"

#endif /* AP_CONFIG_LAYOUT_H */
